org.eclnt.workplace

## Class WorkplaceFavoritesInfo

- java.lang.Object
- - org.eclnt.workplace.WorkplaceFavoritesInfo

- All Implemented Interfaces:
    java.io.Serializable

      public class WorkplaceFavoritesInfo
      extends java.lang.Object
      implements java.io.Serializable

  Info object for persisting favorite information.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceFavoritesInfo()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<WorkpageStartInfo>` | `getFavorites()`
    `static WorkplaceFavoritesInfo` | `read(java.lang.String persistId)` Loads favorites for current user for a certain persistId.
    `static void` | `save(java.lang.String persistId, WorkplaceFavoritesInfo wfi)` Saves favorites for current user for a certain persistId.
    `void` | `setFavorites(java.util.List<WorkpageStartInfo> favorites)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkplaceFavoritesInfo

          public WorkplaceFavoritesInfo()

  - ### Method Detail

    - #### read

          public static WorkplaceFavoritesInfo read(java.lang.String persistId)

      Loads favorites for current user for a certain persistId. The user is read by using `UserAccessMgr`.

    - #### save

          public static void save(java.lang.String persistId,
                                  WorkplaceFavoritesInfo wfi)

      Saves favorites for current user for a certain persistId. The user is read by using `UserAccessMgr`.

    - #### getFavorites

          public java.util.List<WorkpageStartInfo> getFavorites()

    - #### setFavorites

          public void setFavorites(java.util.List<WorkpageStartInfo> favorites)

Copyright © CaptainCasa Gmbh. All Rights Reserved.